%define	oname	dose2
%define ocaml_libdir %(if [ -x /usr/bin/ocamlc ]; then ocamlc -where;fi)


Summary:	Framework for managing distribution packages and their dependencies
Name:		ocaml-%{oname}
Version:	1.4.2
Release:	%mkrel 1
URL:		http://gforge.inria.fr/projects/sodiac/
License:	GPLv3+
Group:		Development/Other
Source0:	%{oname}-%{version}.tar.gz
# TODO: make a bit more upstream friendly with rpm 4.x still working
Patch0:		dose2-1.4.2-rpm5.patch
%rename		edos-dose

Requires:	ocaml-pcre
Requires:	ocaml-calendar
Requires:	ocaml-camlzip
Requires:	ocaml-camlbz2

BuildRequires:	ocaml-findlib
BuildRequires:	ocaml-pcre-devel
BuildRequires:	ocaml-calendar-devel
BuildRequires:	ocaml-camlzip-devel
BuildRequires:	ocaml-camlbz2-devel
BuildRequires:	librpm-devel
BuildRequires:	libpopt-devel

%description
Dose 2 is a framework made of several OCaml libraries for managing
distribution packages and their dependencies.

Though not tied to any particular distribution, Dose 2 forms a background of
libraries which enable injecting packages coming for various distribution.
Companion libraries (e.g. ceve) and tools (e.g.  pkglab) rely on Dose 2 to
manage packages coming from various distributions, e.g. Debian and Red Hat.

Besides basic functionalities for querying and setting package properties, Dose
2 also implements algorithms for solving more complex problems (monitoring
package evolutions, correct and complete dependency resolution, repository-wide
uninstallability checks).

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	ocaml-dose2

%description	devel
Contains all libraries neededs to compile application using the dose2 framework

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .rpm5~
autoreconf

%build
%configure
%make depend
%make || make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{ocaml_libdir}
%makeinstall DESTDIR=%{buildroot}%{ocaml_libdir}

%files
%doc README
%dir %{ocaml_libdir}/%{oname}
%{ocaml_libdir}/%{oname}/META
%{ocaml_libdir}/%{oname}/ascii_io.cmi
%{ocaml_libdir}/%{oname}/binary_io.cmi
%{ocaml_libdir}/%{oname}/conduit.cma
%{ocaml_libdir}/%{oname}/conduit.cmi
%{ocaml_libdir}/%{oname}/diagnosis.cmi
%{ocaml_libdir}/%{oname}/dosebase.cma
%{ocaml_libdir}/%{oname}/dosebase.cmi
%{ocaml_libdir}/%{oname}/fragments.cmi
%{ocaml_libdir}/%{oname}/generic_io.cmi
%{ocaml_libdir}/%{oname}/human_io.cmi
%{ocaml_libdir}/%{oname}/installability.cmi
%{ocaml_libdir}/%{oname}/io.cma
%{ocaml_libdir}/%{oname}/io.cmi
%{ocaml_libdir}/%{oname}/lexer.cmi
%{ocaml_libdir}/%{oname}/lifetime.cma
%{ocaml_libdir}/%{oname}/lifetime.cmi
%{ocaml_libdir}/%{oname}/napkin.cma
%{ocaml_libdir}/%{oname}/napkin.cmi
%{ocaml_libdir}/%{oname}/ocamldeb.cma
%{ocaml_libdir}/%{oname}/ocamldeb.cmi
%{ocaml_libdir}/%{oname}/ocamldebwriter.cmi
%{ocaml_libdir}/%{oname}/ocamlpkgsrc.cma
%{ocaml_libdir}/%{oname}/ocamlpkgsrc.cmi
%{ocaml_libdir}/%{oname}/ocamlrpm.cma
%{ocaml_libdir}/%{oname}/ocamlrpm.cmi
%{ocaml_libdir}/%{oname}/packetology.cma
%{ocaml_libdir}/%{oname}/pirate.cmi
%{ocaml_libdir}/%{oname}/progress.cma
%{ocaml_libdir}/%{oname}/progress.cmi
%{ocaml_libdir}/%{oname}/rapids.cma
%{ocaml_libdir}/%{oname}/rapids.cmi
%{ocaml_libdir}/%{oname}/satsolver.cma
%{ocaml_libdir}/%{oname}/solver.cmi
%{ocaml_libdir}/%{oname}/util.cma
%{ocaml_libdir}/%{oname}/util.cmi
%{ocaml_libdir}/%{oname}/waterway.cmi
%{ocaml_libdir}/stublibs/dllocamlpkgsrc.so
%{ocaml_libdir}/stublibs/dllocamlrpm.so*

%files  devel
%defattr(-,root,root)
%doc README
%{ocaml_libdir}/%{oname}/conduit.a
%{ocaml_libdir}/%{oname}/conduit.cmxa
%{ocaml_libdir}/%{oname}/dosebase.a
%{ocaml_libdir}/%{oname}/dosebase.cmxa
%{ocaml_libdir}/%{oname}/io.a
%{ocaml_libdir}/%{oname}/io.cmxa
%{ocaml_libdir}/%{oname}/lifetime.a
%{ocaml_libdir}/%{oname}/lifetime.cmxa
%{ocaml_libdir}/%{oname}/napkin.a
%{ocaml_libdir}/%{oname}/napkin.cmxa
%{ocaml_libdir}/%{oname}/ocamldeb.a
%{ocaml_libdir}/%{oname}/ocamldeb.cmxa
%{ocaml_libdir}/%{oname}/ocamlpkgsrc.a
%{ocaml_libdir}/%{oname}/ocamlpkgsrc.cmxa
%{ocaml_libdir}/%{oname}/ocamlrpm.a
%{ocaml_libdir}/%{oname}/ocamlrpm.cmxa
%{ocaml_libdir}/%{oname}/packetology.a
%{ocaml_libdir}/%{oname}/packetology.cmxa
%{ocaml_libdir}/%{oname}/progress.a
%{ocaml_libdir}/%{oname}/progress.cmxa
%{ocaml_libdir}/%{oname}/rapids.a
%{ocaml_libdir}/%{oname}/rapids.cmxa
%{ocaml_libdir}/%{oname}/satsolver.a
%{ocaml_libdir}/%{oname}/satsolver.cmxa
%{ocaml_libdir}/%{oname}/util.a
%{ocaml_libdir}/%{oname}/util.cmxa
#copied with spurious permissions, need a setting to standard permissions
%defattr(644,root,root)
%{ocaml_libdir}/%{oname}/libocamlpkgsrc.a
%{ocaml_libdir}/%{oname}/libocamlrpm.a


%changelog
* Thu Jan 27 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 633235
- fix path
- work around parallel build breaking
- license is GPLv3+, not GPLv2+
- add rpm5 support (P0)
- updated and improved packaging by Dupuy Mathieu <mdupuy@mandriva.com>

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Fri Jul 31 2009 Funda Wang <fwang@mandriva.org> 2.0-0.20070622.4mdv2010.0
+ Revision: 405033
- rebuild

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-0.20070622.3mdv2009.1
+ Revision: 348614
- rebuild for latest ocaml
- fix ocaml lib directory

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.0-0.20070622.2mdv2008.1
+ Revision: 140728
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix typo

* Sat Jun 23 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0-0.20070622.2mdv2008.0
+ Revision: 43457
- build and package tart

* Fri Jun 22 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0-0.20070622.1mdv2008.0
+ Revision: 43262
- compile with %%{optflags}
- fix buildrequires
- fix buildrequires
- compile with -fPIC
- dot
- fix install
- Import edos-dose

